
var dummydomain_sld = 'thisistestdomainonlyandwontberegistered';
var dummydomain_tld = '.test';


var promo_invalid_data = '';
var promo_code_data = '';

var userclickstage = '';

$(document).ready(function()
{
    jQuery('#order-onepageorderformcart').on('click','#accepttos',function()
    {
        if (jQuery(this).is(':checked'))
        {
            jQuery('#checkout_button').removeAttr('disabled'); 
        }
        else
        {
            jQuery('#checkout_button').attr('disabled','disabled'); 
        }
    });
});


//prints general error message if something went wrong:
function printgeneralerror()
{
//    jQuery.get("modules/addons/onepageorderform/requests/requests.php?a=getErrorPage&ajax=1",
//    function(data)
//    { 
//       jQuery('#order-onepageorderformcart').replaceWith(data);
//    });
}


//gets startup domain configuration view:
function getstartupdomainconfig()
{
    jQuery.get("modules/addons/onepageorderform/requests/requests.php?a=getConfigureProductDomainStartup&ajax=1",
    function(data)
    {
        if (-1 == data.search('<html')){
            jQuery("#configcontainer1").html(data);
        }
        else
        {
            printgeneralerror();
        }
    });
}


//gets product id from cart:
function getcartproductid()
{
    var product_id = 0;  
    
    jQuery.ajax({
        type:   'GET',
        url:    "modules/addons/onepageorderform/requests/requests.php?a=getCartProductIdAndDomain",
        async:  false
    }).done(function(data)
    {
        
        var response = [];
        
        try {
            response = jQuery.parseJSON(data);
        } catch (e) {
            response = [];
        }
        
        for (var i in response)
        {
            if (i=='pid') product_id = response[i];
        }
    });
    return product_id;
}


//gets suggesteddomains from cart:
function getcartsuggesteddomains()
{
    var suggesteddomains = [];  
    var index = 0;
    
    jQuery.ajax({
        type:   'GET',
        url:    "modules/addons/onepageorderform/requests/requests.php?a=getCartSuggestedDomains",
        async:  false
    }).done(function(data)
    {
        
        var response = [];
        
        try {
            response = jQuery.parseJSON(data);
        } catch (e) {
            response = [];
        }
        
        for (var i in response)
        {
            var domaindata = response[i]
            for (var j in domaindata)
            {
                if (j=='domain') 
                {
                    suggesteddomains[index] =  domaindata[j];
                    index++;
                }
            }
        }
    });
    
    return suggesteddomains;
}


//gets checked domains from suggested list:
function getsuggesteddomainschecked()
{
    var otherdomains = [];
    var ind = 0;
    jQuery("input[name*='domains']").each(function()
    {
        if ($(this).is(':checked'))
        {
            otherdomains[ind]=$(this).val();
            ind++;
        }
    });
    
    return otherdomains;
}


jQuery.fn.values = function(data) {
    var els = jQuery(this).find(':input').get();

    if(typeof data != 'object') {
        // return all data
        data = {};

        jQuery.each(els, function() {
            if (this.name && !this.disabled && (this.checked
                            || /select|textarea/i.test(this.nodeName)
                            || /text|hidden|password/i.test(this.type))) {
                
                if (-1 == this.name.search('configoption') && -1 == this.name.search('customfield'))
                    data[this.name] = jQuery(this).val();
            }
        });
        return data;
    } else {
        jQuery.each(els, function() {
            if (this.name && data[this.name]) {
                if(this.type == 'checkbox' || this.type == 'radio') {
                    jQuery(this).attr("checked", (data[this.name] == jQuery(this).val()));
                } else {
                    jQuery(this).val(data[this.name]);
                }
            }
        });
        return jQuery(this);
    }
};

var barMemory = Object();

function showLoadingBar(which)
{
    
    var on = false;
    for (var i in barMemory)
    {
        if (barMemory[i]==1) on = true;
    }
    
    if (!jQuery('#order-onepageorderformcart-blocked').length)
    {
        jQuery('body').append('<div id="order-onepageorderformcart-blocked"></div>');
    }
       
    jQuery(which).slideDown(which);
    barMemory[which] = 1;
}


function hideLoadingBar(which)
{
    jQuery(which).slideUp(which);
    barMemory[which] = 0;
    
    for (var i in barMemory)
    {
        if (barMemory[i]==1) return;
    }
    
    jQuery('#order-onepageorderformcart-blocked').remove();
    delete jQuery('#order-onepageorderformcart-blocked');
}


//selects product and adds it to cart (replaces old product in cart and do everything needed with its domains)
function selectproduct(pid,pricingtype,pricingonetime,pricingcycle,tr)
{
    //setting value for payment method to desired inputs:
    jQuery("input[name='selectedproductpricingtype']").val(pricingtype);
    jQuery("input[name='selectedproductpricingvalue']").val(pricingonetime);
    jQuery("input[name='selectedproductpricingcycle']").val(pricingcycle);
    
    //print loading bar:
    if (userclickstage=='product') showLoadingBar("#loading_products");
  
    //self retry counter:
    if (typeof tr == 'undefined') tr = 0;

    //adding product to cart:
    jQuery.post("cart.php", 'ajax=1&a=add&pid='+pid,
    function(data)
    {
        if (data=='') 
        {
            
            //nothing found - nothing to change
                
            //saving selected product information to memory:
            prod_id = pid;

            var owndomainsld = jQuery('#owndomainsld').val();
            var registersld = jQuery('#registersld').val();
            var transfersld = jQuery('#transfersld').val();

            var nodomain = false;
            if (!owndomainsld && !registersld && !transfersld)
            {
                nodomain = true;
            }


            //suggested domains:
            var otherdomains = [];
            if (typeof suggesteddomainscompleted == 'undefined' || suggesteddomainscompleted)
            {
                otherdomains = getsuggesteddomainschecked();
            }
            else
            {
                otherdomains = getcartsuggesteddomains();
                suggesteddomainscompleted = true;
            }
            
            checkdomain(true,nodomain,otherdomains);
            
        }
        else if (-1 == data.search('<html'))
        {
            
            //load needed variables:
            var step = jQuery("<div>"+data+"</div>").find('input.steptype').val();
            var loaded = jQuery("<div>"+data+"</div>").find('input.loadedmark').length;
            
            
            if (!loaded && tr<5) 
            {
                selectproduct(pid,pricingtype,pricingonetime,pricingcycle,tr+1);
            }
            else if (!loaded) 
            {
                printgeneralerror();
            }
            else
            {
                
                //saving selected product information to memory:
                prod_id = pid;

                var owndomainsld = jQuery('#owndomainsld').val();
                var registersld = jQuery('#registersld').val();
                var transfersld = jQuery('#transfersld').val();

                var nodomain = false;
                if (!owndomainsld && !registersld && !transfersld)
                {
                    nodomain = true;
                }


                //suggested domains:
                var otherdomains = [];
                if (typeof suggesteddomainscompleted == 'undefined' || suggesteddomainscompleted)
                {
                    otherdomains = getsuggesteddomainschecked();
                }
                else
                {
                    otherdomains = getcartsuggesteddomains();
                    suggesteddomainscompleted = true;
                }

                checkdomain(true,nodomain,otherdomains);

            }
        }
        else
        {
            printgeneralerror();
        }
    });
}



//check if entered domain is available and valid
function checkdomain(completeafterok,gatherproductconfigforemptydomain,otherdomains)
{
    if (typeof otherdomains == 'undefined') otherdomains = [];                                              //last selected suggested domains
    if (typeof completeafterok == 'undefined') completeafterok = false;                                     //if true it will auto-complete ordering of selected domain
    if (typeof gatherproductconfigforemptydomain == 'undefined') gatherproductconfigforemptydomain = false; //if true it will gather product configuration and make domain to temporary "dummy"
    
    var sld = null;
    var tld = null;
    var domainoption = null;
    var forced_domainoption = 'register';

    //prepares sld and tld:
    if (!gatherproductconfigforemptydomain)
    {
        domainoption = jQuery("input[name='domainoption']").val();
        domainoption = domainoption.replace(/^sel/,'');
        //domainoption = 'transfer';
        var all = jQuery("#"+domainoption+"sld").val();
        tld="";
        if (domainoption==='owndomain') sld = all.replace(/\.[^\.]*$/,'');
        else sld = all;
        if (domainoption==='owndomain' && (all.indexOf('.') !== -1)) {tld = all.replace(sld,''); domainoption = 'register'; forced_domainoption = 'owndomain';}
        else tld = jQuery("#"+domainoption+"tld").val();
        if(domainoption==='transfer')
        {
            tld = jQuery("#transfertld").val();
            sld = jQuery("#transfersld").val();
        }
    }
    else
    {
        //forced_domainoption = 'owndomain';
        domainoption        = 'register';
        sld                 = dummydomain_sld;
        tld                 = dummydomain_tld;
    }
 
    if (userclickstage=='domain') showLoadingBar("#loading_domainconfig");
    jQuery.post("cart.php", { a: "domainoptions", ajax: 1, sld: sld, tld: tld, checktype: domainoption, checktype2: forced_domainoption},//always register because we need to check suggestions in both ways. real_domainoption is supported when needed to determine which option is correct checktype2 is for view only
    function(data)
    {
        //console.log('Check domain data------------->'+data);
        if (-1 == data.search('<html'))
        {
            jQuery("#domainresults").html(data);
            jQuery("#domainresults").slideDown();
       
            //selecting before selected domain suggestions:
            for (var domi in otherdomains)
            {
                jQuery(".adddomainfromsuggestion[value='"+otherdomains[domi]+"']").prop('checked', true);
            }
       
            if (completeafterok || domainoption == 'owndomain')
            {
                 completedomain(completeafterok,gatherproductconfigforemptydomain);
            }
            else
            {
                hideLoadingBar("#loading_domainconfig");
                if (userclickstage=='domain') userclickstage='';
                
                if (jQuery("#loading_products").is(":visible")) hideLoadingBar("#loading_products");
                if (userclickstage=='product') userclickstage='';
                recalcsummary();
            }
        }
        else
        {
            printgeneralerror();
        }
    });
}


function completedomain(completeaftercheckok,gatherproductconfigforemptydomain) 
{
    
    if (typeof completeaftercheckok == 'undefined') completeaftercheckok = false;
    if (typeof gatherproductconfigforemptydomain == 'undefined') gatherproductconfigforemptydomain = false;
    
    //reorganize session to match selected domains:
    var domainoption = jQuery("input[name='domainoption']").val();
    domainoption = domainoption.replace(/^sel/,'');
    var all = jQuery("#"+domainoption+"sld").val();
    var tld="";
    var sld="";
    if (domainoption=='owndomain') sld = all.replace(/\.[^\.]*$/,'');
    else sld=all;
    if (domainoption=='owndomain' && (all.indexOf('.') !== -1)) tld = all.replace(sld,'');
    else tld = jQuery("#"+domainoption+"tld").val();
    
    var domaincheckform_serialized = jQuery("#domainfrm").serialize();

    //check if there are domains in form:
    if ( (domaincheckform_serialized.indexOf('domains%5B') === -1) )
    {
        domaincheckform_serialized = 'domainoption=owndomain&domainoption=owndomain&sld=thisistestdomainonlyandwontberegistered&tld=.test';
    }

    if (!jQuery("#loading_products").is(":visible") && userclickstage=='product') showLoadingBar("#loading_products");
    if (!jQuery("#loading_domainconfig").is(":visible") && userclickstage=='domain') showLoadingBar("#loading_domainconfig");
    
    jQuery.post("cart.php", 'ajax=1&a=add&pid='+prod_id+'&domainselect=1&'+domaincheckform_serialized,
    function(data)
    {
        if (data=='') 
        {
            var p_type  = jQuery("input[name='selectedproductpricingtype']").val();
            var p_cycle = jQuery("input[name='selectedproductpricingcycle']").val();
            var p_value = jQuery("input[name='selectedproductpricingvalue']").val();
            var p_prepared = '';
           
            if (p_type == 'onetime')
            {
                p_prepared = jQuery('#template_prodconf_paymentonetime').clone();
            }
            else if(p_type != 'recurring')
            {
                p_prepared = jQuery('#template_prodconf_paymentfree').clone();
            }
            else/*recurring*/
            {
                p_prepared = jQuery('#template_prodconf_paymentrecurring').clone();
            }
            
            var p_html =p_prepared.find('#prodconf_billingcycle').html();

            p_html = p_html.replace('##PRICINGMARKER##',p_value);
            p_prepared.find('#prodconf_billingcycle').html(p_html);
            
            if (p_type == 'recurring')
            {
                p_prepared.find('[name=billingcycle]').val(p_cycle);
            }

            jQuery('#prodconf_all').find('div').each(function()
            {
                if ($(this).attr('id') == 'prodconf_billingcycle')
                {
                    $(this).replaceWith(p_prepared.html());
                }
                else
                {
                    $(this).remove();
                    delete $(this);
                }
            });
            
            jQuery("#configcontainer4").html('');
            jQuery("#configcontainer4").slideDown();
            jQuery("#cartConfigReqNotice").slideUp();
            
            if (gatherproductconfigforemptydomain)
            {
                jQuery("#configcontainer1 #domainresults").html('');
            }
        } 
        else if (data=='nodomains') 
        { 
            //shouldnt be reached now
        }
        else if (-1 == data.search('<html'))
        {
            //getting addons from result:
            var addons = jQuery('<div>'+data+'</div>').find('#prodconf_addons_form');
            var addons_html = addons.html();
            
            //saving productconfig & addons:
            var productconfig= jQuery('#orderfrm1').values();
            var addonsconfig= jQuery('#orderfrm2').values();
       
            jQuery("#configcontainer4").html(addons_html);
            jQuery('#orderfrm2').values(addonsconfig);
            jQuery("#configcontainer4").slideDown();
            
            data = jQuery('<div>'+data+'</div>');
            data.find('#prodconf_addons_form').remove();
    
            jQuery("#configcontainer3").html(data);
            jQuery('#orderfrm1').values(productconfig);
            jQuery("#configcontainer3").slideDown();
            
            jQuery("#cartConfigReqNotice").slideUp();
            
            if (gatherproductconfigforemptydomain)
            {
                jQuery("#configcontainer1 #domainresults").html('');
            }
               
        }
        else
        {
              printgeneralerror();
        }
        
        
        jQuery.post("modules/addons/onepageorderform/requests/requests.php?a=reconfigureCartToMatchDomains",
            'ajax=1&real_domainoption='+domainoption+'&maindomain='+sld+tld+'&'+$('#domainfrm').serialize(),
            function(data){
                prodconfrecalcsummary();
        });
        
    });
    
}


function prodconfrecalcsummary() 
{
    if (!jQuery("#loading_products").is(":visible") && userclickstage=='product') showLoadingBar("#loading_products");
    if (!jQuery("#loading_domainconfig").is(":visible") && userclickstage=='domain') showLoadingBar("#loading_domainconfig");

    $('input[type=checkbox][name*=addons]').each(function (i) {
        index = i+1;
        if(this.checked)
        {
            $( "#f"+index ).css( "background-color", "#58BB5A" );
        }else
        {
            $( "#f"+index ).css( "background-color", "" );
        }
    });
    
    jQuery.post("cart.php", 'ajax=1&a=confproduct&calctotal=true&'+jQuery("#orderfrm1").serialize()+'&'+jQuery("#orderfrm2").serialize(),
    function(data)
    {
        jQuery.post("cart.php", 'a=view&cartsummary=1&ajax=1',
        function(data)
        {
            if(data === 'Invalid TLD/Registration Period Supplied for Domain Registration')
            {
                jQuery("#configcontainer6").html(data+'. Please clear form');

                prodconfcomplete();
                return;
            }
            if (-1 == data.search('<html'))
            {
                jQuery("#configcontainer6").html(data);

                prodconfcomplete();
            }
            else
            {
                printgeneralerror();
            }
        });
    });
}


function prodconfcomplete() 
{
    jQuery.post("cart.php", 'a=confproduct&ajax=1&'+jQuery("#orderfrm1").serialize()+'&'+jQuery("#orderfrm2").serialize(),
    function(data)
    {
        if (data) 
        {
            
            if (-1 == data.search('<html'))
            {
                var step = jQuery("<div>"+data+"</div>").find('input.steptype').val();
                if (step!=3)
                {

                    jQuery("#configproducterror").html(data);
                    jQuery("#configproducterror").slideDown();

                    jQuery('html, body').animate({scrollTop: jQuery("#configproducterror").offset().top-5}, 1000);

                    if (jQuery("#loading_products").is(":visible")) hideLoadingBar("#loading_products");
                    if (userclickstage=='product') userclickstage='';

                    if (jQuery("#loading_domainconfig").is(":visible")) hideLoadingBar("#loading_domainconfig");
                    if (userclickstage=='domain') userclickstage='';

                    //sld/tld:
                    var domainoption = jQuery("input[name='domainoption']").val();
                    domainoption = domainoption.replace(/^sel/,'');
                    var all = jQuery("#"+domainoption+"sld").val();
                    var tld="";
                    var sld="";
                    if (domainoption=='owndomain') sld = all.replace(/\.[^\.]*$/,'');
                    else sld=all;
                    if (domainoption=='owndomain' && (all.indexOf('.') !== -1)) tld = all.replace(sld,'');
                    else tld = jQuery("#"+domainoption+"tld").val();
                    if(domainoption === 'transfer')
                    {
                        sld = jQuery("#transfersld").val();
                        tld = jQuery("#transfertld").val();
                    }

                    jQuery.get("modules/addons/onepageorderform/requests/requests.php?a=getDomainsConfigForced"+(domainoption!='owndomain'?"&sldinput="+sld+"&ajax=1&tldinput="+tld:""),
                    function(data)
                    {
                        var slideD = true;
                        if (jQuery("#configcontainer8").is(":visible")) slideD = false;
                        jQuery("#configcontainer8").html(data);
                        if (slideD) jQuery("#configcontainer8").slideDown();

                    });
                }
            }
            else
            {
                printgeneralerror();
            }
            
        } 
        else 
        {
            jQuery.post("cart.php", 'a=confdomains&ajax=1',
            function(data)
            {
                if (data) 
                {
                    
                    if (-1 == data.search('<html'))
                    {

                        var slideD = true;
                        if (jQuery("#configcontainer8").is(":visible")) slideD = false;
                        jQuery("#configcontainer8").html(data);
                        if (slideD) jQuery("#configcontainer8").slideDown();

                        jQuery("#configproducterror").slideUp();
                        if (jQuery("#loading_products").is(":visible")) hideLoadingBar("#loading_products");
                        if (userclickstage=='product') userclickstage='';
                        
                        if (jQuery("#loading_domainconfig").is(":visible")) hideLoadingBar("#loading_domainconfig");
                        if (userclickstage=='domain') userclickstage='';
                    }
                    else
                    {
                        printgeneralerror();
                    }
                
                } 
                else 
                {
                    var slideD = true;
                    if (jQuery("#configcontainer8").is(":visible")) slideD = false;
                    jQuery("#configcontainer8").html('');
                    if (slideD) jQuery("#configcontainer8").slideDown();
                    
                    jQuery("#configproducterror").slideUp();
                                    
                    if (jQuery("#loading_products").is(":visible")) hideLoadingBar("#loading_products");
                    if (userclickstage=='product') userclickstage='';
                    
                    if (jQuery("#loading_domainconfig").is(":visible")) hideLoadingBar("#loading_domainconfig");
                    if (userclickstage=='domain') userclickstage='';
                    
                    recalcsummary();
                }
            });
        }
    });

}


function recalcsummary() 
{
    
    if (typeof promovalidmakeok == 'undefined') promovalidmakeok = false;
    
    showLoadingBar("#cartloader");
    jQuery.post("cart.php", 'a=view&cartsummary=1&ajax=1',
    function(data)
    {
        if(data === "Invalid TLD/Registration Period Supplied for Domain Registration")
        {
            jQuery('#currency_valid_error').empty();
            jQuery('#currency_valid_error').html(data);
            hideLoadingBar("#cartloader");
            return;
        }
        if (-1 == data.search('<html'))
        {
            var is_error = jQuery(data).find('#promotion_valid_error').html();
            jQuery("#configcontainer6").html(data);

            hideLoadingBar("#cartloader");
    
            if (!is_error && promo_invalid_data == '' && promo_code_data != '') 
            {
                jQuery('#promotion_valid_indicator').html('<img src="assets/img/statusok.gif" border="0" alt=""/>');
            }
            else if (is_error && promo_invalid_data == '' && promo_code_data != '') 
            {
                jQuery('#promotion_valid_indicator').html('<img src="assets/img/statusfailed.gif" border="0" alt=""/>');
            }
            else if ( promo_invalid_data != '' ) 
            {
                jQuery('#promotion_valid_indicator').html('<img src="assets/img/statusfailed.gif" border="0" alt=""/>');
                jQuery('#promotion_valid_error').html(promo_invalid_data);
                
                //jQuery('html, body').animate({scrollTop: jQuery("#promotion_valid_error").offset().top-5}, 1000);
            }
        }
        else
        {
            printgeneralerror();
        }
        
    });
}


function completedomainconfig() 
{
    if (userclickstage=='product') showLoadingBar("#loading_products");
    jQuery.post("cart.php", 'a=confdomains&update=1&ajax=1&'+jQuery("#domainconfigfrm").serialize(),
    function(data)
    {
        if (data) 
        {
            if (-1 == data.search('<html'))
            {
                jQuery("#configdomainerror").html(data);
                jQuery("#configdomainerror").slideDown();
                
                jQuery('html, body').animate({scrollTop: jQuery("#configdomainerror").offset().top-5}, 1000);
                
                hideLoadingBar("#loading_products");
                if (userclickstage=='product') userclickstage='';
            }
            else
            {
                printgeneralerror();
            }
        } 
        else 
        {
            jQuery("#configdomainerror").slideUp();
            hideLoadingBar("#loading_products");
            recalcsummary();
        }
    });
}


function signupstep() 
{
    jQuery.post("cart.php", 'a=checkout&ajax=1',
    function(data)
    {
        if (-1 == data.search('<html'))
        {
            var tos = jQuery('<div>'+data+'</div>').find('#viewcart_tos');
            var tos_html = tos.html();

            if (tos_html)
            {
                var billinginfo1= jQuery('#checkoutfrm1').values();

                jQuery("#configcontainer7").html(tos_html);

                jQuery('#checkoutfrm1').values(billinginfo1);

                jQuery("#configcontainer7").slideDown();


                jQuery("#checkout_button").attr('disabled','disabled');
            }
            else
            {
                jQuery("#configcontainer7").slideUp();
            }

            if(data === 'Invalid TLD/Registration Period Supplied for Domain Registration')
            {
                data = data+'. Please clear form';
            }
            data = jQuery('<div>'+data+'</div>');
            data.find('#viewcart_tos').remove();

            jQuery("#signupcontainer").html(data);
            jQuery("#signupcontainer").slideDown();
        }
        else
        {
            printgeneralerror();
        }
    });
}


function currencychange() 
{
    //showLoadingBar("#cartloader");
    jQuery.post("cart.php", 'a=view&cartsummary=1&ajax=1&currency='+jQuery("#currency").val(),
    function(data)
    {
        if(data === "Invalid TLD/Registration Period Supplied for Domain Registration")
        {
            jQuery("#currency_valid_error").empty();
            jQuery("#currency_valid_error").append("You can not select this currency");
            return;
        }
        if (-1 == data.search('<html'))
        {
            jQuery("#configcontainer6").html(data);
            hideLoadingBar("#cartloader");
            recalcsummary();
        }
        else
        {
            printgeneralerror();
        }
    });
}


function applypromo() 
{
    jQuery.post("cart.php", { a: "applypromo", ajax: 1, promocode: jQuery("#promocode").val() },
    function(data)
    {
        if (data) 
        { 
            if (-1 == data.search('<html'))
            {
                promo_invalid_data = data;
                promo_code_data = jQuery('#promocode').val();
            }
            else
            {
                printgeneralerror();
            }
        }
        else
        {
            promo_invalid_data = '';
            promo_code_data = jQuery('#promocode').val();
        }
        
        recalcsummary();
    });
}


function showCCForm() 
{
    jQuery(".ccinputform").slideDown();
}
function hideCCForm() 
{
    jQuery(".ccinputform").slideUp();
}
function useExistingCC() 
{
    jQuery(".newccinfo").hide();
}
function enterNewCC() 
{
    jQuery(".newccinfo").show();
}


function errorcheck()
{
    var etest = jQuery("#promotion_valid_error").html();
    if (etest) return "#promotion_valid_error"; 
    var err = false;
    jQuery(".errorbox").each(function()
    {
        if (err) return;
        var elid = jQuery(this).attr('id');
        if (elid == 'checkouterror') return;
        if (jQuery(this).html()) err = elid?'#'+elid:".errorbox"; 
    });
    if (!err)
    {
        jQuery(".domaininvalid").each(function()
        {
            if (err) return;
            var elid = jQuery(this).attr('id');
            if (jQuery(this).html()) err = elid?'#'+elid:".domaininvalid"; 
        });
    }
    if (!err) 
    {
        jQuery(".domainunavailable").each(function()
        {
            if (err) return;
            var elid = jQuery(this).attr('id');
            if (jQuery(this).html()) err = elid?'#'+elid:".domainunavailable"; 
        });
    }
    if (!err) 
    {
        var currencyerror = jQuery("#currency_valid_error").html();
        if (currencyerror) err = "#currency_valid_error";
    }
    return err;
}


function completeorder() 
{
    var errors = errorcheck();
    if (errors && errors !== "#promotion_valid_error")
    {
        jQuery('html, body').animate({scrollTop: jQuery(errors).offset().top-5}, 1000);
        return;
    }
    jQuery("#checkouterror").slideUp();
    showLoadingBar("#checkoutloader");
    jQuery.post("cart.php", 'a=checkout&$checkout=1&ajax=1&'+jQuery("#checkoutfrm1").serialize()+'&'+jQuery("#checkoutfrm2").serialize(),
    function(data)
    {
        if (data) 
        {
            if (-1 == data.search('<html'))
            {
                jQuery("#checkouterror").html(data);
                jQuery("#checkouterror").slideDown();
                
                jQuery('html, body').animate({scrollTop: jQuery("#checkouterror").offset().top-5}, 1000);
                
                hideLoadingBar("#checkoutloader");
            }
            else
            {
                printgeneralerror();
            }
        } 
        else 
        {
            window.location = 'cart.php?a=fraudcheck';
        }
    });
}



function showsignupfields() {
    jQuery(".signupfields").slideDown();
    jQuery(".loginfields").slideUp();
};


function showloginfields() {
    jQuery(".signupfields").slideUp();
    jQuery(".loginfields").slideDown();
};