<?php
/**
 * 
 * 
 * @version 1.0.3
 * @author Piotr Kozdęba <piotr.ko@modulesgarden.com>
 *
 * Controller master class. Other controllers extends it
 */
class OPO_Controller
{
    /**
     * FUNCTION _run
     * Runs desired action
     * @param string $name - name of the action to run. There should be method with that name inside destination controller class
     * @return string Returns contents of the rendered page or directly echoes its contents if this is ajax request (this is recognized by the desired action and should be stored in $ajax variable) 
     */
    public function _run($controller,$action) 
    {
        try
        {
            $data = method_exists($this,'_boot')?$this->_boot($controller,$action):$this->$action();        
        }
        catch (Exception $e)
        {
            throw $e;
        }
        
        return $data;
    }
    
}